PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PXMLParser Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLParser:
[legend]
Collaboration diagram for PXMLParser:
[legend]

## Public Member Functions
| PXMLParser (Options options=NoOptions)
| ~PXMLParser ()
bool | Parse (const char *data, int dataLen, bool final)
void | GetErrorInfo (PString &errorString, unsigned &errorCol, unsigned &errorLine)
virtual void | StartElement (const char *name, const char **attrs)
virtual void | EndElement (const char *name)
virtual void | AddCharacterData (const char *data, int len)
virtual void | XmlDecl (const char *version, const char *encoding, int standAlone)
virtual void | StartDocTypeDecl (const char *docTypeName, const char *sysid, const char *pubid, int hasInternalSubSet)
virtual void | EndDocTypeDecl ()
virtual void | StartNamespaceDeclHandler (const char *prefix, const char *uri)
virtual void | EndNamespaceDeclHandler (const char *prefix)
PString | GetVersion () const
PString | GetEncoding () const
StandAloneType | GetStandAlone () const
PXMLElement * | GetXMLTree () const
PXMLElement * | SetXMLTree (PXMLElement *newRoot)
Public Member Functions inherited from PXMLBase
| P_DECLARE_BITWISE_ENUM_EX (Options, 6,(NoOptions, Indent, NewLineAfterElement, NoIgnoreWhiteSpace, CloseExtended, WithNS, FragmentOnly), AllOptions=(1<<(6+1))-1)
| PXMLBase (Options opts=NoOptions)
void | SetOptions (Options opts)
Options | GetOptions () const
virtual PBoolean | IsNoIndentElement (const PString &) const
void | SetMaxEntityLength (unsigned len)
unsigned | GetMaxEntityLength () const
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes
void * | expat
PXMLElement * | rootElement
bool | m_parsing
PXMLElement * | currentElement
PXMLData * | lastElement
PString | version
PString | encoding
StandAloneType | m_standAlone
PStringToString | m_tempNamespaceList
Protected Attributes inherited from PXMLBase
Options | m_options
unsigned | m_maxEntityLength
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Public Types inherited from PXMLBase
enum | { DEFAULT_MAX_ENTITY_LENGTH = 4096 }
enum | StandAloneType { UninitialisedStandAlone = -2, UnknownStandAlone = -1, NotStandAlone, IsStandAlone }
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Friends inherited from PObject

## Constructor & Destructor Documentation

PXMLParser::PXMLParser | ( | Options | options = `NoOptions` | ) |

PXMLParser::~PXMLParser | ( |  | ) |

## Member Function Documentation

virtual void PXMLParser::AddCharacterData | ( | const char * | data,
|  | int | len
| ) |  |
| virtual

virtual void PXMLParser::EndDocTypeDecl | ( |  | ) |
| virtual

virtual void PXMLParser::EndElement | ( | const char * | name | ) |
| virtual

Reimplemented in PXMLStreamParser.

virtual void PXMLParser::EndNamespaceDeclHandler | ( | const char * | prefix | ) |
| virtual

PString PXMLParser::GetEncoding | ( |  | ) | const
| inline

References encoding.

void PXMLParser::GetErrorInfo | ( | PString & | errorString,
|  | unsigned & | errorCol,
|  | unsigned & | errorLine
| ) |  |

StandAloneType PXMLParser::GetStandAlone | ( |  | ) | const
| inline

References m_standAlone.

PString PXMLParser::GetVersion | ( |  | ) | const
| inline

References version.

PXMLElement* PXMLParser::GetXMLTree | ( |  | ) | const

bool PXMLParser::Parse | ( | const char * | data,
|  | int | dataLen,
|  | bool | final
| ) |  |

PXMLElement* PXMLParser::SetXMLTree | ( | PXMLElement * | newRoot | ) |

virtual void PXMLParser::StartDocTypeDecl | ( | const char * | docTypeName,
|  | const char * | sysid,
|  | const char * | pubid,
|  | int | hasInternalSubSet
| ) |  |
| virtual

virtual void PXMLParser::StartElement | ( | const char * | name,
|  | const char ** | attrs
| ) |  |
| virtual

virtual void PXMLParser::StartNamespaceDeclHandler | ( | const char * | prefix,
|  | const char * | uri
| ) |  |
| virtual

virtual void PXMLParser::XmlDecl | ( | const char * | version,
|  | const char * | encoding,
|  | int | standAlone
| ) |  |
| virtual

## Member Data Documentation

PXMLElement* PXMLParser::currentElement
| protected

PString PXMLParser::encoding
| protected

Referenced by GetEncoding().

void* PXMLParser::expat
| protected

PXMLData* PXMLParser::lastElement
| protected

bool PXMLParser::m_parsing
| protected

StandAloneType PXMLParser::m_standAlone
| protected

Referenced by GetStandAlone().

PStringToString PXMLParser::m_tempNamespaceList
| protected

PXMLElement* PXMLParser::rootElement
| protected

PString PXMLParser::version
| protected

Referenced by GetVersion().

The documentation for this class was generated from the following file:

- pxml.h